Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001805TestLinkUsers and Rightspublic2008-10-18 03:212008-12-08 20:03
Reporterdaximus 
Assigned Toschlundus 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001805: Memory and Performance for large number of users prevents reasonable usage of "Assign User Roles"
DescriptionWith 149 users in the users table when you click "Assign User Roles" from the "Test Project" menu you will get "Fatal error: Allowed memory size of x bytes exhausted". I can get it to return successfully in 30+ seconds if I set the memory_limit to 2048M in php.ini which is not a reasonable setting or performance.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox and IE
PHP Version5.2.4
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0001840closedfman Users page takes extremely long to load with 100+ users 

-  Notes
(0004429)
schlundus (reporter)
2008-10-22 03:24

@daximus
please get latest code and make a quick try if it's better now
(0004489)
schlundus (reporter)
2008-11-01 01:53

Improved performance ... but I don't know if it's enough

- Issue History
Date Modified Username Field Change
2008-10-18 03:21 daximus New Issue
2008-10-18 03:21 daximus Browser => Firefox and IE
2008-10-18 03:21 daximus PHP Version => 5.2.4
2008-10-18 05:03 schlundus Status new => assigned
2008-10-18 05:03 schlundus Assigned To => schlundus
2008-10-22 03:24 schlundus Note Added: 0004429
2008-11-01 01:53 schlundus Status assigned => resolved
2008-11-01 01:53 schlundus Fixed in Version => next development 1.8 RC 1
2008-11-01 01:53 schlundus Resolution open => fixed
2008-11-01 01:53 schlundus Note Added: 0004489
2008-11-05 04:04 schlundus Relationship added has duplicate 0001840
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker